package fr.sle;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

public class AEvent implements Serializable {

    private String id;

    private String value;

    private Date eventTimestamp;

    public AEvent(String id, Date eventTimestamp) {
        this.id = id;
        this.eventTimestamp = eventTimestamp;
    }

    public AEvent(String id, String value, Date eventTimestamp) {
        this.id = id;
        this.value = value;
        this.eventTimestamp = eventTimestamp;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Date getEventTimestamp() {
        return eventTimestamp;
    }

    public void setEventTimestamp(Date eventTimestamp) {
        this.eventTimestamp = eventTimestamp;
    }

    @Override
    public String toString() {
        return "AEvent{" +
                "id='" + id + '\'' +
                ", value='" + value + '\'' +
                ", eventTimestamp=" + eventTimestamp +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        AEvent aEvent = (AEvent) o;
        return Objects.equals(id, aEvent.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
