package fr.sle;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

public class BEvent implements Serializable {

    private String id;

    private String value;

    private Date eventTimestamp;

    public BEvent(String id, Date eventTimestamp) {
        this.id = id;
        this.eventTimestamp = eventTimestamp;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Date getEventTimestamp() {
        return eventTimestamp;
    }

    public void setEventTimestamp(Date eventTimestamp) {
        this.eventTimestamp = eventTimestamp;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BEvent bEvent = (BEvent) o;
        return Objects.equals(id, bEvent.id) &&
                Objects.equals(value, bEvent.value) &&
                Objects.equals(eventTimestamp, bEvent.eventTimestamp);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, value, eventTimestamp);
    }

    @Override
    public String toString() {
        return "BEvent{" +
                "id='" + id + '\'' +
                ", value='" + value + '\'' +
                ", eventTimestamp=" + eventTimestamp +
                '}';
    }
}
